/ comp / gb / quote / _call
Quote() (gb)
Syntax

    STATIC FUNCTION Quote ( String AS String ) AS String

Quotes a string by using the Gambas string syntax.

It transforms a string into something than can be evaluated to the same string by the Gambas interpreter. In other words:

    PRINT Eval(Quote(AnyString))

is an exact equivalent of

    PRINT AnyString

### Examples

    PRINT Quote("This is not a \\"quoted\\"\\nmulti-line string.")
    <hr>"This is not a \\"quoted\\"\\nmulti-line string."